Index: /branches/devmercator2010/NEMO/LIM_SRC_2/limrst_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/limrst_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/limrst_2.F90	(revision 2077)
@@ -6,5 +6,4 @@
    !! History :  2.0  !  01-04  (C. Ethe, G. Madec)  Original code
    !!                 !  06-07  (S. Masson)  use IOM for restart read/write
-   !!            3.3  !  09-05  (G.Garric) addition of the lim2_evp case
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -109,55 +108,50 @@
       CALL iom_rstput( iter, nitrst, numriw, 'kt_ice', REAL( iter, wp) ) 
       
-      CALL iom_rstput( iter, nitrst, numriw, 'hicif'      , hicif     (:,:)   )      ! prognostic variables 
-      CALL iom_rstput( iter, nitrst, numriw, 'hsnif'      , hsnif     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'frld'       , frld      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sist'       , sist      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'tbif1'      , tbif      (:,:,1) )
-      CALL iom_rstput( iter, nitrst, numriw, 'tbif2'      , tbif      (:,:,2) )
-      CALL iom_rstput( iter, nitrst, numriw, 'tbif3'      , tbif      (:,:,3) )
-      CALL iom_rstput( iter, nitrst, numriw, 'u_ice'      , u_ice     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'v_ice'      , v_ice     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'qstoif'     , qstoif    (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'fsbbq'      , fsbbq     (:,:)   )
-#if ! defined key_lim2_vp
-      CALL iom_rstput( iter, nitrst, numriw, 'stress1_i'  , stress1_i (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'stress2_i'  , stress2_i (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'stress12_i' , stress12_i(:,:)   )
-#endif
-      CALL iom_rstput( iter, nitrst, numriw, 'sxice' ,      sxice     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syice' ,      syice     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxxice',      sxxice    (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syyice',      syyice    (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxyice',      sxyice    (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxsn'  ,      sxsn      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sysn'  ,      sysn      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxxsn' ,      sxxsn     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syysn' ,      syysn     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxysn' ,      sxysn     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxa'   ,      sxa       (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sya'   ,      sya       (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxxa'  ,      sxxa      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syya'  ,      syya      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxya'  ,      sxya      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxc0'  ,      sxc0      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syc0'  ,      syc0      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxxc0' ,      sxxc0     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syyc0' ,      syyc0     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxyc0' ,      sxyc0     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxc1'  ,      sxc1      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syc1'  ,      syc1      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxxc1' ,      sxxc1     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syyc1' ,      syyc1     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxyc1' ,      sxyc1     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxc2'  ,      sxc2      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syc2'  ,      syc2      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxxc2' ,      sxxc2     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syyc2' ,      syyc2     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxyc2' ,      sxyc2     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxst'  ,      sxst      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syst'  ,      syst      (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxxst' ,      sxxst     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'syyst' ,      syyst     (:,:)   )
-      CALL iom_rstput( iter, nitrst, numriw, 'sxyst' ,      sxyst     (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'hicif' , hicif (:,:)   )      ! prognostic variables 
+      CALL iom_rstput( iter, nitrst, numriw, 'hsnif' , hsnif (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'frld'  , frld  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sist'  , sist  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'tbif1' , tbif  (:,:,1) )
+      CALL iom_rstput( iter, nitrst, numriw, 'tbif2' , tbif  (:,:,2) )
+      CALL iom_rstput( iter, nitrst, numriw, 'tbif3' , tbif  (:,:,3) )
+      CALL iom_rstput( iter, nitrst, numriw, 'u_ice' , u_ice (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'v_ice' , v_ice (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'qstoif', qstoif(:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'fsbbq' , fsbbq (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxice' , sxice (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syice' , syice (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxxice', sxxice(:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syyice', syyice(:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxyice', sxyice(:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxsn'  , sxsn  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sysn'  , sysn  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxxsn' , sxxsn (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syysn' , syysn (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxysn' , sxysn (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxa'   , sxa   (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sya'   , sya   (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxxa'  , sxxa  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syya'  , syya  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxya'  , sxya  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxc0'  , sxc0  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syc0'  , syc0  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxxc0' , sxxc0 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syyc0' , syyc0 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxyc0' , sxyc0 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxc1'  , sxc1  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syc1'  , syc1  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxxc1' , sxxc1 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syyc1' , syyc1 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxyc1' , sxyc1 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxc2'  , sxc2  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syc2'  , syc2  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxxc2' , sxxc2 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syyc2' , syyc2 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxyc2' , sxyc2 (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxst'  , sxst  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syst'  , syst  (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxxst' , sxxst (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'syyst' , syyst (:,:)   )
+      CALL iom_rstput( iter, nitrst, numriw, 'sxyst' , sxyst (:,:)   )
       
       IF( iter == nitrst ) THEN
@@ -224,46 +218,41 @@
       ENDIF
 
-      CALL iom_get( numrir, jpdom_autoglo, 'qstoif'     , qstoif     )    
-      CALL iom_get( numrir, jpdom_autoglo, 'fsbbq'      , fsbbq      )    
-#if ! defined key_lim2_vp
-      CALL iom_get( numrir, jpdom_autoglo, 'stress1_i'  , stress1_i  )
-      CALL iom_get( numrir, jpdom_autoglo, 'stress2_i'  , stress2_i  )
-      CALL iom_get( numrir, jpdom_autoglo, 'stress12_i' , stress12_i )
-#endif
-      CALL iom_get( numrir, jpdom_autoglo, 'sxice'      , sxice      )
-      CALL iom_get( numrir, jpdom_autoglo, 'syice'      , syice      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxxice'     , sxxice     )
-      CALL iom_get( numrir, jpdom_autoglo, 'syyice'     , syyice     )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxyice'     , sxyice     )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxsn'       , sxsn       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sysn'       , sysn       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxxsn'      , sxxsn      )
-      CALL iom_get( numrir, jpdom_autoglo, 'syysn'      , syysn      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxysn'      , sxysn      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxa'        , sxa        )
-      CALL iom_get( numrir, jpdom_autoglo, 'sya'        , sya        )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxxa'       , sxxa       )
-      CALL iom_get( numrir, jpdom_autoglo, 'syya'       , syya       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxya'       , sxya       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxc0'       , sxc0       )
-      CALL iom_get( numrir, jpdom_autoglo, 'syc0'       , syc0       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxxc0'      , sxxc0      )
-      CALL iom_get( numrir, jpdom_autoglo, 'syyc0'      , syyc0      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxyc0'      , sxyc0      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxc1'       , sxc1       )
-      CALL iom_get( numrir, jpdom_autoglo, 'syc1'       , syc1       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxxc1'      , sxxc1      )
-      CALL iom_get( numrir, jpdom_autoglo, 'syyc1'      , syyc1      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxyc1'      , sxyc1      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxc2'       , sxc2       )
-      CALL iom_get( numrir, jpdom_autoglo, 'syc2'       , syc2       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxxc2'      , sxxc2      )
-      CALL iom_get( numrir, jpdom_autoglo, 'syyc2'      , syyc2      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxyc2'      , sxyc2      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxst'       , sxst       )
-      CALL iom_get( numrir, jpdom_autoglo, 'syst'       , syst       )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxxst'      , sxxst      )
-      CALL iom_get( numrir, jpdom_autoglo, 'syyst'      , syyst      )
-      CALL iom_get( numrir, jpdom_autoglo, 'sxyst'      , sxyst      )
+      CALL iom_get( numrir, jpdom_autoglo, 'qstoif', qstoif )    
+      CALL iom_get( numrir, jpdom_autoglo, 'fsbbq' , fsbbq  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'sxice' , sxice  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syice' , syice  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxice', sxxice )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyice', syyice )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyice', sxyice )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxsn'  , sxsn   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sysn'  , sysn   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxsn' , sxxsn  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syysn' , syysn  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxysn' , sxysn  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxa'   , sxa    )
+      CALL iom_get( numrir, jpdom_autoglo, 'sya'   , sya    )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxa'  , sxxa   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syya'  , syya   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxya'  , sxya   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxc0'  , sxc0   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syc0'  , syc0   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxc0' , sxxc0  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyc0' , syyc0  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyc0' , sxyc0  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxc1'  , sxc1   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syc1'  , syc1   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxc1' , sxxc1  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyc1' , syyc1  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyc1' , sxyc1  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxc2'  , sxc2   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syc2'  , syc2   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxc2' , sxxc2  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyc2' , syyc2  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyc2' , sxyc2  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxst'  , sxst   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syst'  , syst   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxst' , sxxst  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyst' , syyst  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyst' , sxyst  )
       
       CALL iom_close( numrir )
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/limsbc_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 2077)
@@ -7,5 +7,4 @@
    !!           02-07 (C. Ethe, G. Madec) re-writing F90
    !!           06-07 (G. Madec) surface module
-   !!           09-05 (G.Garric) addition of the lim2_evp case
    !!----------------------------------------------------------------------
 #if defined key_lim2
@@ -89,5 +88,4 @@
       REAL(wp) ::   zfrldu, zfrldv   ! lead fraction at U- & V-points
       REAL(wp) ::   zutau , zvtau    ! lead fraction at U- & V-points
-!!!      REAL(wp) ::   zutaui , zvtaui  ! lead fraction at U- & V-points
       REAL(wp) ::   zu_io , zv_io    ! 2 components of the ice-ocean velocity
 ! interface 2D --> 3D
@@ -277,11 +275,6 @@
             DO ji = 2, jpim1   ! NO vector opt.
                ! ... components of ice-ocean stress at U and V-points  (from I-point values)
-#if defined key_lim2_vp
                zutau  = 0.5 * ( ztio_u(ji+1,jj) + ztio_u(ji+1,jj+1) )
                zvtau  = 0.5 * ( ztio_v(ji,jj+1) + ztio_v(ji+1,jj+1) )
-#else
-               zutau  = ztio_u(ji,jj)
-               zvtau  = ztio_v(ji,jj)
-#endif
                ! ... open-ocean (lead) fraction at U- & V-points (from T-point values)
                zfrldu = 0.5 * ( frld(ji,jj) + frld(ji+1,jj  ) )
Index: /branches/devmercator2010/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2077)
@@ -67,5 +67,4 @@
       !!        !  01-05 (G. Madec, R. Hordoir) opa norm
       !!   2.0  !  04-01 (G. Madec, C. Ethe)  F90, mpp
-      !!   3.3  !  09-05  (G.Garric) addition of the lim2_evp case
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt     ! number of iteration
@@ -108,5 +107,4 @@
          ! zvbord factor between 1 and 2 to take into account slip or no-slip boundary conditions.        
          zvbord = 1.0 + ( 1.0 - bound )
-#if defined key_lim2_vp
          DO jj = 1, jpjm1
             DO ji = 1, jpim1   ! NO vector opt.
@@ -118,8 +116,4 @@
          CALL lbc_lnk( zui_u, 'U', -1. )
          CALL lbc_lnk( zvi_v, 'V', -1. )
-#else
-        zui_u(:,:)=u_ice(:,:)
-        zvi_v(:,:)=v_ice(:,:)
-#endif
 
          ! CFL test for stability
Index: /branches/devmercator2010/NEMO/LIM_SRC_3/limrhg.F90
===================================================================
--- /branches/devmercator2010/NEMO/LIM_SRC_3/limrhg.F90	(revision 2076)
+++ /branches/devmercator2010/NEMO/LIM_SRC_3/limrhg.F90	(revision 2077)
@@ -7,7 +7,6 @@
    !!            3.0  !  2008-03  (M. Vancoppenolle) LIM3
    !!             -   !  2008-11  (M. Vancoppenolle, S. Bouillon, Y. Aksenov) add surface tilt in ice rheolohy 
-   !!             -   !  2009-05  (G.Garric) addition of the lim2_evp cas
    !!----------------------------------------------------------------------
-#if defined key_lim3 || (  defined key_lim2 && ! defined key_lim2_vp )
+#if defined key_lim3
    !!----------------------------------------------------------------------
    !!   'key_lim3'                                      LIM3 sea-ice model
@@ -19,6 +18,9 @@
    USE par_oce
    USE dom_oce
+   USE dom_ice
    USE sbc_oce         ! Surface boundary condition: ocean fields
    USE sbc_ice         ! Surface boundary condition: ice fields
+   USE ice
+   USE iceini
    USE lbclnk
    USE lib_mpp
@@ -26,14 +28,5 @@
    USE limitd_me
    USE prtctl          ! Print control
-#if defined key_lim3
-   USE dom_ice
-   USE ice
-   USE iceini
-#endif
-#if defined key_lim2 && ! defined key_lim2_vp
-   USE dom_ice_2
-   USE ice_2
-   USE iceini_2
-#endif
+
 
    IMPLICIT NONE
@@ -187,9 +180,4 @@
          zresr                         !: Local error on velocity
 
-#if  defined key_lim2 && ! defined key_lim2_vp
-     vt_s => hsnm
-     vt_i => hicm
-     at_i(:,:) = 1. - frld(:,:)
-#endif
       !
       !------------------------------------------------------------------------------!
@@ -202,8 +190,7 @@
       u_ice2(:,:)  = 0.0 ; v_ice1(:,:)  = 0.0
       zdd(:,:)     = 0.0 ; zdt(:,:)     = 0.0 ; zds(:,:)     = 0.0
-#if defined key_lim3
+
       ! Ice strength on T-points
       CALL lim_itd_me_icestrength(ridge_scheme_swi)
-#endif
 
       ! Ice mass and temp variables
@@ -213,9 +200,5 @@
          DO ji = 1 , jpi
             zc1(ji,jj)    = tms(ji,jj) * ( rhosn * vt_s(ji,jj) + rhoic * vt_i(ji,jj) )
-#if defined key_lim3
             zpresh(ji,jj) = tms(ji,jj) *  strength(ji,jj) / 2.
-#else
-            zpresh(ji,jj) = tms(ji,jj) *  2. * pstar * hicm(ji,jj) * EXP( -c_rhg * frld(ji,jj) )
-#endif
             ! tmi = 1 where there is ice or on land
             tmi(ji,jj)    = 1.0 - ( 1.0 - MAX( 0.0 , SIGN ( 1.0 , vt_i(ji,jj) - &
@@ -286,5 +269,4 @@
                / ( e2t(ji,jj+1) + e2t(ji,jj) + epsd )
             !
-            ! Mass, coriolis coeff. and currents
             u_oce1(ji,jj)  = u_oce(ji,jj)
             v_oce2(ji,jj)  = v_oce(ji,jj)
